
import 'dart:async';
import 'dart:math';
import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:the_paint/src/generated/client.pb.dart';
import 'package:the_paint/src/square/square.dart';

class InMemorySquereData extends SquereData {
  final StreamController<MonitorReply> streamChannel =
      StreamController<MonitorReply>();

  InMemorySquereData(super.point);

  @override
  Stream<MonitorReply> getSteam() {
    paint(Point(1, 1), Colors.blueGrey);
    return streamChannel.stream;
  }

  @override
  void paint(Point<int> point, Color color) {
    // print(point.toString());
    streamChannel.add(MonitorReply(points: [
      MonitorPoint(
          point: BPoint(x: point.x, y: point.y),
          color: BColor(
              rgba: color.red |
                  color.green << 8 |
                  color.blue << 16 |
                  color.alpha << 24))
    ]));
  }
}